Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.client
Class BasicAuthCache

    java.lang.Object
      org.apache.http.impl.client.BasicAuthCache

All Implemented Interfaces:
  AuthCache

    @NotThreadSafe
    public class BasicAuthCache

extends Object
implements AuthCache

Default implementation of `AuthCache`.

Since:
  4.0

Constructor Summary
`BasicAuthCache()` Default constructor.

Method Summary
`void` | `clear()`
`AuthScheme` | `get(HttpHost host)`
`protected HttpHost` | `getKey(HttpHost host)`
`void` | `put(HttpHost host, AuthScheme authScheme)`
`void` | `remove(HttpHost host)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicAuthCache

    public BasicAuthCache()

  Default constructor.

Method Detail

### getKey

    protected HttpHost getKey(HttpHost host)

### put

    public void put(HttpHost host,
                    AuthScheme authScheme)

  Specified by:
    `put` in interface `AuthCache`

### get

    public AuthScheme get(HttpHost host)

  Specified by:
    `get` in interface `AuthCache`

### remove

    public void remove(HttpHost host)

  Specified by:
    `remove` in interface `AuthCache`

### clear

    public void clear()

  Specified by:
    `clear` in interface `AuthCache`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.